﻿// -*- C++ -*-
/*!
 * @file  SimDataPublishTest.cpp
 * @brief ModuleDescription
 * @date $Date$
 *
 * $Id$
 */

#include "SimDataPublishTest.h"

// Module specification
// <rtc-template block="module_spec">
static const char* simdataPublish_spec[] =
  {
    "implementation_id", "SimDataPublishTest",
    "type_name",         "SimDataPublishTest",
    "description",       "ModuleDescription",
    "version",           "1.0.0",
    "vendor",            "Fukushima Computer System",
    "category",          "Simulator",
    "activity_type",     "EVENTDRIVEN",
    "kind",              "DataFlowComponent",
    "max_instance",      "1",
    "language",          "C++",
    "lang_type",         "compile",
    ""
  };
// </rtc-template>

/*!
 * @brief constructor
 * @param manager Maneger Object
 */
SimDataPublishTest::SimDataPublishTest(RTC::Manager* manager)
    // <rtc-template block="initializer">
  : RTC::DataFlowComponentBase(manager),
    m_outAllDataOut("outAllData", m_outAllData)

    // </rtc-template>
{
}

/*!
 * @brief destructor
 */
SimDataPublishTest::~SimDataPublishTest()
{
}



RTC::ReturnCode_t SimDataPublishTest::onInitialize()
{
  // Registration: InPort/OutPort/Service
  // <rtc-template block="registration">
  // Set InPort buffers
  addInPort("outAllData", m_outAllDataIn);

  // Set OutPort buffer

  // Set service provider to Ports

  // Set service consumers to Ports

  // Set CORBA Service Ports

  // </rtc-template>

  // <rtc-template block="bind_config">
  // </rtc-template>

  return RTC::RTC_OK;
}

/*
RTC::ReturnCode_t SimDataPublishTest::onFinalize()
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onStartup(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onShutdown(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onActivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onDeactivated(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onExecute(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onAborting(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onError(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onReset(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onStateUpdate(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/

/*
RTC::ReturnCode_t SimDataPublishTest::onRateChanged(RTC::UniqueId ec_id)
{
  return RTC::RTC_OK;
}
*/



extern "C"
{

  void SimDataPublishTestInit(RTC::Manager* manager)
  {
    coil::Properties profile(simdataPublish_spec);
    manager->registerFactory(profile,
                             RTC::Create<SimDataPublishTest>,
                             RTC::Delete<SimDataPublishTest>);
  }

};


